package com.thinkgem.jeesite.modules.commonError;

import com.thinkgem.jeesite.common.baseBean.Response;
import com.thinkgem.jeesite.common.constant.ComCode;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 验证失败返回
 */
@RestController
@RequestMapping("/com/filterError")
public class FilterController {

    @PostMapping("/returnError")
    public Response updateNews(String code, String subMerchantId) {
        Response resp = new Response();
        if ("1".equals(code)) {
            resp.setStatus(ComCode.STATUS_CODE_9999);
            resp.setMessage(ComCode.STATUS_CODE_9999_DESC);
        }
        return resp;
    }

}
